﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace Pattogó_labda_2
{
    class Ball
    {
        private Point koordináta;

        public Point Koordináta
        {
            get { return koordináta; }
            set { koordináta = value; }
        }

        private Size méret;

        public Size Méret
        {
            get { return méret; }
            set { méret = value; }
        }

        private SolidBrush szín;

        public SolidBrush Szín
        {
            get { return szín; }
            set { szín = value; }
        }
       

        public Ball(Point koordináta, Size méret, SolidBrush szín)
        {
            this.koordináta = koordináta;
            this.méret = méret;
            this.szín = szín;
          
        }

        public bool talált(Point pont)
        {
            if (
                pont.X > this.koordináta.X
                &&
                pont.X < this.koordináta.X + this.méret.Width
                &&
                pont.Y > this.koordináta.Y
                &&
                pont.Y < this.koordináta.Y + this.méret.Height)
            {
                return true;
            }

            else
                return false;
        }

        public void Rajzol(Graphics graph)
        {
            graph.FillEllipse(szín, new Rectangle(koordináta, méret));
            graph.DrawEllipse(new Pen(new SolidBrush(Color.Red), 1), new Rectangle(koordináta, méret));
            graph.FillEllipse(new SolidBrush(Color.White), koordináta.X + méret.Width / 4, koordináta.Y + méret.Width / 4, 7, 7);
        }

        public void PontotÍr(Graphics grah,int pontszám)
        {
            grah.DrawString(pontszám.ToString() + " pont", new Font(FontFamily.GenericSerif, 16), new SolidBrush(Color.Yellow), new PointF(10, 10));
        }

        public void RúgástÍr(Graphics grah, int rúgás)
        {
            grah.DrawString(rúgás.ToString() + " rúgás van még hátra", new Font(FontFamily.GenericSerif, 16), new SolidBrush(Color.Cyan), new PointF(10, 30));
        }
    }
}
